Bug 952326 - Use dtv-scan-tables
Summary: Use dtv-scan-tables
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dvb-apps
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: dtv-scan-tables
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-15 16:32 UTC by Till Maas
Modified: 2014-03-12 12:32 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-03-12 12:31:44 UTC


Attachments (Terms of Use)

Description Till Maas 2013-04-15 16:32:17 UTC
Description of problem:
Initial scan tables are not anymore updated in dvb-apps but in dtv-scan-tables:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=697898
http://article.gmane.org/gmane.linux.drivers.video-input-infrastructure/59204
http://git.linuxtv.org/dtv-scan-tables.git

Therefore the dtv-scan-tables initial scan files should be used instead of the outdated ones in dvb-apps. It will require a package review for a new dtv-scan-tables package.

Comment 1 Fedora End Of Life 2013-07-04 02:29:59 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Till Maas 2013-07-04 03:05:24 UTC
dvb-apps-1.1.2-4.1488.f3a70b206f0f.fc19 does not use update scan tables.

Comment 3 Oliver Schinagl 2013-07-12 07:36:29 UTC
Just a quick FYI, the latest tarball can always be found here:

http://linuxtv.org/downloads/dtv-scan-tables/

I will try to keep our git repository as up to date as possible. I also launched a github repository for users to have an easy way to submit updates, though the preferred way is a patch to the linux-media mailing list.

Comment 4 Till Maas 2013-07-12 20:00:32 UTC
Hey Peter, what is your plan here? IMHO because the scan tables are more likely to be updated, a new package makes sense. If you want, I can create one.

Comment 5 Peter Robinson 2013-07-14 11:21:19 UTC
I think a new package along the lines of usb_modeswitch-data makes sense here with a date version to allow quick and regular updates and we just drop the data from this package. I don't have time to package it up at the moment but I'm happy to co-maintain if wanted.

Comment 6 Till Maas 2013-07-15 21:54:04 UTC
Here is a sketch of a new package:
http://paste.fedoraproject.org/25492/92411013/

What is missing:
- creating a version or release from %date_hash (the dashes need to be stripped)
- License clarification (There are only copies for LGPL and GPL in the tarball, but no indication which files are under which license and which license of both applies)
- Somehow the transition needs to be handled, e.g. Requires need to be added to dvb-apps and I am not sure about Conflicts for dtv-scan-tables, I will ask on fedora-packaging

Comment 7 Oliver Schinagl 2013-07-15 22:35:13 UTC
If you search the mailing list, you'll find that I asked about licensing aswell, since the dtv tables are factual data, not licenseable code. It was decided however to keep whatever license was with dvb-apps and assume those contributions where GPLed aswell. I think it's safe to assume, all tables are dual lincensed since it is factual data.

The plan initially also was to remove the dtv tables from dvb-apps and that will happen at some point, unfortunatly for now dvb-apps will install last years version, while dtv-scan-tables will be up to date.

A makefile should be added aswell in the future to dtv-scan-tables but that's still on my todo as I'm not sure where to go with it yet. I suppose once we need to start generating files it will happen.

Comment 8 Till Maas 2013-07-16 07:28:22 UTC
Let's ask Fedora legal for their opinion. Btw. it seems to me that the dvb-apps.spec has the wrong license tag, because it says it is GPLv2+ but there are several files with a LGPLv2+ header and no explanation is in the spec file.

Comment 9 Oliver Schinagl 2013-07-16 07:32:17 UTC
I think that's the best course of action since we haven't consulted with any lawyer about legal status. Whatever comes from that will probably applied to the dtv files.

Thanks for asking Till.

Comment 10 Peter Robinson 2013-07-16 09:15:51 UTC
This bug shouldn't block Fedora Legal. The Review Request bug for the dtv-data package should once the review has been submitted. And add the package review as a blocker for this bug.

The license for this package should be updated if the license is wrong and the current data dropped but that doesn't need Fedora Legal to decide.

Comment 11 Till Maas 2013-07-19 05:50:59 UTC
(In reply to Oliver Schinagl from comment #7)
> If you search the mailing list, you'll find that I asked about licensing
> aswell, since the dtv tables are factual data, not licenseable code. It was
> decided however to keep whatever license was with dvb-apps and assume those
> contributions where GPLed aswell. I think it's safe to assume, all tables
> are dual lincensed since it is factual data.

Can you please provide a link to this discussion?

Comment 12 Oliver Schinagl 2013-07-19 08:33:13 UTC
I brought it up initially here where it didn't get much response initially:
http://thread.gmane.org/gmane.linux.drivers.video-input-infrastructure/55950/focus=59280

Then here some people voiced their opinion.
http://thread.gmane.org/gmane.linux.drivers.video-input-infrastructure/59288/focus=59304

Comment 13 Till Maas 2014-01-07 23:11:47 UTC
dtv-scan-tables is ready for inclusion into Fedora. If you do not mind I will prepare an update for dvb-apps to use the new package and ensure that proper conflicts are set in dtv-scan-tables. I will target F19, F20 and Rawhide if you do not object.

Comment 14 Peter Robinson 2014-01-08 09:55:35 UTC
I have no problems with you pushing the changes but I would prefer if it baked in rawhide for a few weeks before pushing it out to stable releases.

Comment 15 Till Maas 2014-02-14 18:49:05 UTC
(In reply to Peter Robinson from comment #14)
> I have no problems with you pushing the changes but I would prefer if it
> baked in rawhide for a few weeks before pushing it out to stable releases.

The update is now in Rawhide for a while, I will proceed with the stable releases soon if you do not object.

Comment 16 Peter Robinson 2014-02-14 18:54:16 UTC
Fine by me

Comment 17 Fedora Update System 2014-02-18 18:36:47 UTC
dtv-scan-tables-0-4.20130713gitd913405.fc19,dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dtv-scan-tables-0-4.20130713gitd913405.fc19,dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19

Comment 18 Fedora Update System 2014-02-18 18:37:09 UTC
dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc20,dtv-scan-tables-0-4.20130713gitd913405.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc20,dtv-scan-tables-0-4.20130713gitd913405.fc20

Comment 19 Fedora Update System 2014-02-20 00:41:06 UTC
Package dtv-scan-tables-0-4.20130713gitd913405.fc19, dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dtv-scan-tables-0-4.20130713gitd913405.fc19 dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2711/dtv-scan-tables-0-4.20130713gitd913405.fc19,dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2014-03-12 12:31:44 UTC
dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc20, dtv-scan-tables-0-4.20130713gitd913405.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-03-12 12:32:11 UTC
dtv-scan-tables-0-4.20130713gitd913405.fc19, dvb-apps-1.1.2-6.1488.f3a70b206f0f.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.